<!-- #start Article Schema Markup for WordPress with multi authors -->

<span class="post-schema">
<?php do_action( 'bp_before_post_schema' ); ?>
<?php
global $post;
$author_email = get_the_author_meta('user_email');
$author_displayname = get_the_author_meta('display_name');
$author_nickname = get_the_author_meta('nickname');
$author_firstname = get_the_author_meta('first_name');
$author_lastname = get_the_author_meta('last_name');
$author_url = get_the_author_meta('user_url');
$author_status = get_the_author_meta('user_level');
$author_description = get_the_author_meta('user_description');

// get the user roles
if($author_status=='0'):
$user_roles = 'Subsribers';
elseif($author_status=='1'):
$user_roles = 'Contributor';
elseif($author_status=='2'):
$user_roles = 'Author';
elseif($author_status=='7'):
$user_roles = 'Editor';
elseif($author_status=='10'):
$user_roles = 'Administrator';
else:
$user_roles = '';
endif;

// get user google+ profile
$author_googleplus_profile = get_the_author_meta('wp_user_googleplus');
$author_facebook_profile = get_the_author_meta('wp_user_facebook');
$author_twitter_profile = get_the_author_meta('wp_user_twitter');

// get post thumbnail
$thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "thumbnail" );
?>

<!-- Insert data:Article schema -->
<span itemscope="" itemtype="http://schema.org/Article">

<h1 class="entry-title" itemprop="name headline"><a itemprop="url" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h1>

<?php do_action( 'bp_schema_article' ); ?>

<!-- Insert data:Article:image schema -->
<?php if($thumbnail_src): ?>
<span itemprop="image"><?php echo $thumbnail_src[0]; ?></span>
<?php endif; ?>

<!-- Insert data:Article:Published schema -->
<time datetime="<?php the_time('Y-m-d') ?>" itemprop="datePublished"></time>
<time datetime="<?php the_modified_time('d F Y') ?>" class="entry-date updated"></time>

<!-- Insert data:Article:Author schema -->
<span class="vcard author"><span class="fn"><?php the_author(); ?></span></span>


<!-- Insert data:Article:ArticleSection schema -->
<?php if( get_post_type() != 'post' ) {
$thetax = wp_get_post_terms($post->ID, 'portfolio-category', array("fields" => "names"));
?>
<?php
foreach($thetax as $tax) {
echo '<span itemprop="articleSection">' . $tax . '</span>';
}
?>

<?php } else { ?>
<?php
$categories = get_the_category();
$separator = ', ';
$output = '';
if($categories){
foreach($categories as $category) {
echo '<span itemprop="articleSection">' . $category->cat_name . '</span>';
}
}
} ?>

<!-- Insert data:Article:ArticleSection schema -->
<?php if( get_post_type() != 'post' ) {
$thetaxtag = wp_get_post_terms($post->ID, 'portfolio-tag', array("fields" => "names"));
$taxtags_list = '';
?>
<?php
echo '<span itemprop="keywords">';
foreach($thetaxtag as $taxtag) {
$taxtags_list .= $taxtag . ', ';
}
echo substr( $taxtags_list,0,-2 );
echo '</span>';
?>

<?php } else { ?>
<span itemprop="keywords"><?php the_tags('', ','); ?></span>
<?php } ?>

<!-- Insert data:Article:Content schema -->
<?php if( !is_singular() ): ?>
<div itemprop="description"><?php the_excerpt(); ?></div>
<?php else: ?>
<div itemprop="articleBody"><?php the_content(); ?></div>
<?php endif; ?>


<!-- Insert data:Person schema -->
<span itemprop="author" itemscope="" itemtype="http://schema.org/Person">

<?php do_action( 'bp_schema_person' ); ?>

<?php if($author_googleplus_profile): ?>
<!-- Insert data:Person:Author schema -->
<span itemprop="name">
<a href="<?php echo $author_googleplus_profile; ?>?rel=author" itemprop="url">
<?php echo $author_displayname; ?></a>
</span>
<?php endif; ?>

<!-- Insert data:Person:others schema *optional -->
<span itemprop="givenName"><?php echo $author_firstname; ?></span>
<span itemprop="familyName"><?php echo $author_lastname; ?></span>
<span itemprop="email"><?php echo $author_email; ?></span>
<span itemprop="jobTitle"><?php echo $user_roles; ?></span>

<?php if($author_description): ?>
<span itemprop="knows"><?php echo stripcslashes($author_description); ?></span>
<?php endif; ?>

<span itemprop="brand"><?php echo bloginfo('name'); ?></span>

</span>
<!-- end data:Person schema -->


</span>

<?php do_action( 'bp_after_post_schema' ); ?>
</span>

<!-- #end Article Schema Markup for WordPress with multi authors -->